Subject: Re: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Robert LeChevalier <[email-masked]>
Date: Fri, 24 Jan 2003 07:47:00 -0500

At 11:16 AM 1/23/03 -0800, Robin Lee Powell wrote:
>On Sun, Jan 19, 2003 at 10:19:24AM -0500, Robert LeChevalier wrote:
> > At 01:33 PM 1/19/03 +0000, Martin Bays wrote:
> > >How to use functions with ranges beyond the numbers? E.g. if I have a
> > >function f:A->B with A and B sets {fy fancu abu noi selcmi ku'o by
> > >noi selcmi}, what's f(x)? According to jbofi'e, {ma'o fy boi xy} and
> > >{le ma'o fy boi xy} are both ungrammatical, and does {li ma'o fy boi
> > >xy} make sense?
> >
> > You're missing needed grammatical markers. Exactly which ones can be
> > elided and still work might take some experimentation, but
> >
> > vei ma'o fy boi xy works
> > the complete grammar of the above is
> > vei ma'o fy boi [te'u] xy [boi] [ku'e] [ve'o]
>
>I don't know what "vei ma'o fy boi xy" is, but it's *not* f(x), IMO. It
>could be (f(x)), but I don't know why one would do that.

Lojban does require some bracketing that may not be required by normal 
mathematics notation because our f(x)'s might be embedded as text in a text 
string. The extra left bracket (with implied right bracket) is required 
for any complex mex expression in Lojban for LALR parsing reasons.

lojbab

-- 
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org